Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate
Class PropertyValueException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.hibernate.exception.NestableRuntimeException
                      org.hibernate.HibernateException
                          org.hibernate.PropertyValueException

All Implemented Interfaces:
  Serializable, Nestable

    public class PropertyValueException

extends HibernateException

Thrown when the (illegal) value of a property can not be persisted. There are two main causes:

- a property declared `not-null="true"` is null
- an association references an unsaved transient instance

Author:
  Gavin King
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hibernate.exception.NestableRuntimeException
`delegate`

Constructor Summary
`PropertyValueException(String s, String entityName, String propertyName)`

Method Summary
`static String` | `buildPropertyPath(String parent, String child)` Return a well formed property path.
`String` | `getEntityName()`
`String` | `getMessage()` Returns the detail message string of this throwable.
`String` | `getPropertyName()`

Methods inherited from class org.hibernate.exception.NestableRuntimeException
`getCause, getMessage, getMessages, getThrowable, getThrowableCount, getThrowables, indexOfThrowable, indexOfThrowable, printPartialStackTrace, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PropertyValueException

    public PropertyValueException(String s,
                                  String entityName,
                                  String propertyName)

Method Detail

### getEntityName

    public String getEntityName()

### getPropertyName

    public String getPropertyName()

### getMessage

    public String getMessage()

  Description copied from class: `NestableRuntimeException`
  Returns the detail message string of this throwable. If it was created with a null message, returns the following: ( cause==null ? null : cause.toString( ).

  Specified by:
    `getMessage` in interface `Nestable`
  Overrides:
    `getMessage` in class `NestableRuntimeException`
  Returns:
    the error message

### buildPropertyPath

    public static String buildPropertyPath(String parent,
                                           String child)

  Return a well formed property path. Basicaly, it will return parent.child

  Parameters:
    `parent` - parent in path
    `child` - child in path
  Returns:
    parent-child path

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD